# NewGamePhysics.Utilities.NativeAudioInterface Class Reference

Implements an interface for native audio playback. More...

List of all members.

## Classes
struct | WaveHeader
| Wave header structure for native interop. More...
## Public Member Functions
delegate void | WaveDelegate (IntPtr hdrvr, int uMsg, int dwUser, ref WaveHeader wavhdr, int dwParam2)
| Callback delegate definition.
static int | waveOutPrepareHeader (IntPtr hWaveOut, ref WaveHeader lpWaveOutHdr, int uSize)
static int | waveOutUnprepareHeader (IntPtr hWaveOut, ref WaveHeader lpWaveOutHdr, int uSize)
static int | waveOutWrite (IntPtr hWaveOut, ref WaveHeader lpWaveOutHdr, int uSize)
static int | waveOutOpen (out IntPtr hWaveOut, int uDeviceID, WaveFormat lpFormat, WaveDelegate dwCallback, int dwInstance, int dwFlags)
static int | waveOutReset (IntPtr hWaveOut)
static int | waveOutClose (IntPtr hWaveOut)
## Public Attributes
const int | MMSYSERR_NOERROR = 0
| Constant indicating no error from the MM system.
const int | MM_WOM_OPEN = 0x3BB
| Constant indicating MM system open state.
const int | MM_WOM_CLOSE = 0x3BC
| Constant indicating MM system close state.
const int | MM_WOM_DONE = 0x3BD
| Constant indicating MM system done state.
const int | CALLBACK_FUNCTION = 0x00030000
| Constant indicating dwCallback is a FARPROC.

## Detailed Description

Implements an interface for native audio playback.

Definition at line 91 of file NativeAudio.cs.

## Member Function Documentation

delegate void NewGamePhysics.Utilities.NativeAudioInterface.WaveDelegate | ( | IntPtr | hdrvr,
|  | int | uMsg,
|  | int | dwUser,
|  | ref WaveHeader | wavhdr,
|  | int | dwParam2 |
| ) |  |  |

Callback delegate definition.

Parameters:

  | hdrvr | Pointer to wave header.
  | uMsg |
  | dwUser | Client parameter.
  | wavhdr | Header structure.
  | dwParam2 |

## Member Data Documentation

const int NewGamePhysics.Utilities.NativeAudioInterface.CALLBACK_FUNCTION = 0x00030000

Constant indicating dwCallback is a FARPROC.

Definition at line 168 of file NativeAudio.cs.

const int NewGamePhysics.Utilities.NativeAudioInterface.MM_WOM_CLOSE = 0x3BC

Constant indicating MM system close state.

Definition at line 158 of file NativeAudio.cs.

const int NewGamePhysics.Utilities.NativeAudioInterface.MM_WOM_DONE = 0x3BD

Constant indicating MM system done state.

Definition at line 163 of file NativeAudio.cs.

const int NewGamePhysics.Utilities.NativeAudioInterface.MM_WOM_OPEN = 0x3BB

Constant indicating MM system open state.

Definition at line 153 of file NativeAudio.cs.

const int NewGamePhysics.Utilities.NativeAudioInterface.MMSYSERR_NOERROR = 0

Constant indicating no error from the MM system.

Definition at line 148 of file NativeAudio.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Utilities/NativeAudio.cs